<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 08/25/2003 *
 * ===================                          Last change: 05/29/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : databases.php                                    *
 * -------------------------------------------------------------------- *
 * Short description : Definitions and arrays (hard-coded databases)    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Definitionen und Datenfelder (hart-codertiert)   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// System-wide return codes
addCode('WRONG_PASS'         , 0x001);
addCode('WRONG_ID'           , 0x002);
addCode('ACCOUNT_LOCKED'     , 0x003);
addCode('ACCOUNT_UNCONFIRMED', 0x004);
addCode('UNKNOWN_STATUS'     , 0x005);
addCode('NO_MAIL_TYPE'       , 0x006);
addCode('CNTR_FAILED'        , 0x007);
addCode('LOGOUT_DONE'        , 0x008);
addCode('LOGOUT_FAILED'      , 0x009);
addCode('URL_TIME_LOCK'      , 0x00a);
addCode('URL_FOUND'          , 0x00b);
addCode('OVERLENGTH'         , 0x00c);
addCode('SUBJECT_URL'        , 0x00d);
addCode('BLIST_URL'          , 0x00e);
addCode('NO_RECS_LEFT'       , 0x00f);
addCode('INVALID_TAGS'       , 0x010);
addCode('MORE_POINTS'        , 0x011);
addCode('COOKIES_DISABLED'   , 0x012);
addCode('DATA_INVALID'       , 0x013);
addCode('POSSIBLE_INVALID'   , 0x014);
addCode('USER_404'           , 0x015);
addCode('STATS_404'          , 0x016);
addCode('ALREADY_CONFIRMED'  , 0x017);
addCode('ERROR_MAILID'       , 0x018);
addCode('EXTENSION_PROBLEM'  , 0x019);
addCode('MORE_RECEIVERS1'    , 0x01a);
addCode('MORE_RECEIVERS2'    , 0x01b);
addCode('MORE_RECEIVERS3'    , 0x01c);
addCode('INVALID_URL'        , 0x01d);
addCode('MENU_NOT_VALID'     , 0x01e);
addCode('LOGIN_FAILED'       , 0x01f);
addCode('BEG_SAME_AS_OWN'    , 0x020);
addCode('UNHANDLED_STATUS'   , 0x021);
addCode('MODULE_MEMBER_ONLY' , 0x022);
addCode('UNKNOWN_ERROR'      , 0x023);
addCode('PROFILE_UPDATED'    , 0x024);

// Full version
setConfigEntry('FULL_VERSION', '0.2.1-FINAL');

// Server-URL (DO NOT CHANGE THIS OR YOU CANNOT CHECK FOR UPDATES/EXTENSIONS!)
setConfigEntry('SERVER_URL', 'http://www.mxchange.org');

// One day
setConfigEntry('ONE_DAY', (60*60*24));

// HTTP-EOL
setConfigEntry('HTTP_EOL', "\r\n");

// CFG: DEBUG-SQL (if enabled and DEBUG_MODE is enabled all SQL queries will be logged to debug.log)
setConfigEntry('DEBUG_SQL', 'N');

// CFG: ENCRYPT-SEPERATOR
setConfigEntry('ENCRYPT_SEPERATOR', ':');

// Extra title is empty by default
setExtraTitle('');

// [EOF]
?>
